Subject: [mobile-ip] Inter-domain fast handoff

From: "Jee J.Z." <[email-masked]>
Date: Thu, 24 Jul 2003 22:05:57 +0100

Hi all,

On the issue of fast inter-domain handoff, does anybody come across the idea
that the new Gateway Foreign Agent (GFA) sometimes sends a home registration
request from the MN to the old GFA instead of the HA (depending on an
algorithm to decide where to send)?

In this case, how can the old GFA process the registration request and
generates a proper registration reply which is acceptable to the MN? I
believe the old GFA must understand the Security Association (SA) between
the MN and the HA to do so. However, there are still no good ways to
securely disclose/distribute a SA to a third party at the moment.

Any comments?

Thanks,
Jee